.implementsDetails-card {
    display: flex;
    gap: 44px;
    background: #fff;
    padding: 24px;
    border-radius: 24px;
    margin: auto;
    border: 1px solid #ECEDEE;
}

.implementsDetails-slider {
    width: 50%;
    position: relative;
}


.implementsDetails-navSlider {
    margin-top: 10px;
    display: flex;
    padding-right: 84px;
}

.implementssNavItems {
    padding: 0 4px;
}

.implementsDetails-navSlider img {
    width: 100%;
    cursor: pointer;
    border: 1px solid #ECEDEE;
    border-radius: 14px;
}

.implementsDetails-badge {
    position: absolute;
    top: 10px;
    left: 0;
    background: url(/front/images/best_selling_bg.svg) no-repeat;
    color: #fff;
    font-size: 14px;
    z-index: 9;
    height: 42px;
    width: 143px;
    padding: 6px 14px;
    font-weight: 500;
}

.implementsDetails-badge::after {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: #660000;
    height: 14px;
    width: 7px;
    border-radius: 14px 0 0 14px;
    left: 0;
    bottom: -7px;
}

.implementsDetails-content {
    width: 50%;
    padding-top: 40px;
}

.implementsDetails-brand {
    background: linear-gradient(270deg, #FFEFEF 0%, rgba(255, 255, 255, 0) 100%);
    padding: 4px 24px 4px 0;
    border-radius: 8px;
    color: #D32525;
    font-weight: 500;
    font-size: 16px;
}

.implementsDetails-title {
    font-size: 28px;
    font-weight: 700;
    color: #373737;
    margin-top: 4px;
    margin-bottom: 8px;
}
.implementsDetails-title span{
    font-size: 14px;
    font-weight: 600;
    color: #e53935;
}

.implementsDetails-hp {
    font-size: 16px;
    font-weight: 400;
    color: #373737;
    background: #37373708;
    padding: 8px 16px;
    display: inline-block;
    border: 1px solid #3737370D;
    margin: 8px 0;
    border-radius: 8px;
    line-height: normal;
}

.implementsDetails-price {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid #3737370D;
    padding: 14px;
    margin-top: 16px;
    border-radius: 14px;
    background: #37373705;
}

.implementsDetails-btn {
    background: #D32525;
    color: #fff;
    border: none;
    padding: 12px;
    border-radius: 8px;
    max-width: 260px;
    width: 100%;
    font-weight: 700;
}

.implementsDetails-emi {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    background: url(/front/images/loan_cta_bg.webp) no-repeat center/cover;
    color: #fff;
    margin-top: 16px;
    border-radius: 8px;
    padding-right: 18px;
}

.emiTextWrp {
    text-align: center;
    font-size: 12px;
    color: #FFFFFFB2;
    font-weight: 600;
}

.emiTextWrp strong {
    font-size: 22px;
    color: #fff;
}

.emiTextWrp strong small {
    font-size: 12px;
    color: #FFFFFFB2;
}

.implementsDetails-price span {
    color: #37373780;
    font-size: 14px;
    margin-bottom: 4px;
    display: block;
}

.implementsDetails-price .price_rangeText {
    font-size: 24px;
    font-weight: 700;
    color: #373737;
}

.implementsDetails-emi img {
    border-radius: 8px 0 0 8px;
}

.implementsDetails-emi span {
    position: relative;
}

.implementsDetails-emi span::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: linear-gradient(270deg, #000 0%, rgba(0, 0, 0, 0) 30%);
}

.implementsDetails-emi a {
    background: #fff;
    font-weight: 700;
    font-size: 13px;
    color: #373737;
    border: none;
    padding: 7px 22px;
    border-radius: 7px;
}

.implementsDetails-mainSlider .slick-nav-hori {
    height: 44px;
    width: 44px;
}

.desc {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-size: 14px;
    line-height: 1.6;
    color: #666;
    margin-bottom: 0;
    letter-spacing: 0.04em;
}

.desc.show {
    -webkit-line-clamp: unset;
}

.implementsDetails-features {
    position: relative;
}

.featuresShow {
    position: initial;
}

.readToggle {
    color: #e53935;
    font-weight: 600;
    cursor: pointer;
    position: initial;
    bottom: 0;
    right: 0;
    background: #fff;
    padding-left: 0;
    text-decoration: underline;
    text-underline-offset: 2px;
}

.featuresShow .readToggle {
    position: initial;
    padding-left: 0px;
}

.implementsDetails-mainSlider .slick-dots {
    justify-content: center;
    gap: 5px;
    display: none !important;
}

.implementsDetails-mainSlider .slick-dots li {
    list-style-type: none;
    width: 6px;
    height: 6px;
    border-radius: 3px;
    background: #ECEDEE;
    cursor: pointer;
}

.implementsDetails-mainSlider .slick-dots li button {
    display: none;
}

.implementsDetails-mainSlider .slick-dots li.slick-active {
    background: #D32525;
    width: 20px;
    height: 6px;
}

.implementsSlider-mainitem img,
.implementsDetails-mainSlider {
    height: 350px !important;
    overflow: hidden;
    object-fit: contain;
    margin: 0 auto;
}

@media(max-width: 1024px) {
    .implementsDetails-btn {
        max-width: 175px;
    }

    .implementsDetails-price .price_rangeText {
        font-size: 20px;
    }

    .implementsDetails-navSlider {
        padding-right: 0;
    }
}

@media(max-width: 991px) {
    .implementsSlider-mainitem img {
        width: 100% !important;
        height: 364px !important;
    }

    .implementsDetails-card {
        display: flex;
        flex-direction: column;
        gap: 0;
        background: #fff;
        padding: 0;
        border-radius: 0;
        border: none;
    }

    .implementsDetails-slider {
        width: 100%;
    }

    .implementsDetails-content {
        width: 100%;
        padding-top: 16px;
    }

    .implementsDetails-mainSlider .slick-dots {
        display: flex !important;
    }

    .implementsDetails-navSlider {
        display: none;
    }

    .implementsDetails-emi {
        flex-direction: column;
        gap: 122px;
        background: url(/front/images/loan_cta_bg_mob.webp) no-repeat center / cover;
        padding: 12px;
        position: relative;
    }

    .implementsDetails-emi::before {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 40%;
        background: linear-gradient(180deg, #000000 0%, rgba(0, 0, 0, 0.7) 70%, rgba(0, 0, 0, 0) 100%);
        border-radius: 8px;
    }

    .emiTextWrp {
        position: relative;
    }

    .implementsDetails-emi button {
        position: relative;
        padding: 12px;
        width: 100%;
    }

    .implementsDetails-btn {
        max-width: 100%;
        width: 100%;
        margin-top: 16px;
    }

    .implementsDetails-emi span {
        display: none;
    }

    .implementsDetails-mainSlider .slick-nav-hori {
        height: 24px;
        width: 24px;
    }

    .implementsDetails-mainSlider .slick-nav-hori img {
        width: 10px;
    }
}

@media(max-width: 480px) {

    .implementsSlider-mainitem img,
    .implementsDetails-mainSlider {
        width: auto !important;
        height: 247px !important;
        margin: 0 auto;
    }

    .implementsDetails-badge img {
        height: 14px;
    }

    .implementsDetails-badge {
        font-size: 12px;
        height: 32px;
        width: 120px;
        padding: 6px 9px;
        background-size: 100%;
    }

    .implementsDetails-badge::after {
        height: 11px;
        width: 6px;
        left: 0;
        bottom: -7px;
    }
    .implementsDetails-emi a {
        width: 100%;
        text-align: center;
        padding: 10px 22px;
    }
    
}

.tabContentWrapper>.tab-pane {
    display: none
}

.tabContentWrapper>.active {
    display: block
}

.tabWrapper .nav-tabs {
    border: none;
    gap: 16px;
    justify-content: center;
    overflow-x: auto;
    white-space: nowrap;
    overflow-y: hidden;
    flex-wrap: nowrap;
    padding-bottom: 1px;
}

.tabWrapper .nav-tabs::-webkit-scrollbar {
    display: none;
}

.tabWrapper .nav-link {
    border: 1px solid #e5e5e5;
    border-radius: 999px;
    padding: 12px 28px;
    font-size: 16px;
    font-weight: 500;
    color: #373737;
    background: #f7f7f7;
    line-height: 1;
    transition: all 0.3s ease;
}

.tabWrapper .nav-link:hover {
    background: #f2f2f2;
}

.tabWrapper .nav-link.active {
    background: #D325250D;
    border: 1px solid #e53935;
    /* red border */
    color: #e53935;
    /* red text */
    font-weight: 600;
}

.tabWrapper .nav-link:focus {
    outline: none;
    box-shadow: none;
}
.custom_lightBox{
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.65);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 99999;
}

.custom_lightBox.active{
    display:flex;
}

.custom_lightBoxWrapper{
    width:90%;
    max-width:700px;
    background:#fff;
    border-radius:8px;
    padding:20px;
    position:relative;
    box-sizing:border-box;
    overflow:hidden;
}

.custom_lightBoxClose{
    position:absolute;
    top:15px;
    right:18px;
    font-size:34px;
    line-height:1;
    cursor:pointer;
    color:#222;
}

.custom_lightBoxContent{
    display:flex;
    justify-content:center;
    align-items:center;
    width:100%;
    height:300px;
    overflow:hidden;
    margin:0 auto;
}

.custom_lightBoxContent img{
    display:block;
    max-width:100%;
    max-height:100%;
    object-fit:contain;
    margin:0 auto;
}

.custom_lightBoxPrev,
.custom_lightBoxNext{
    position:absolute;
    top:50%;
    transform:translateY(-50%);
    width:46px;
    height:46px;
    border-radius:50%;
    border:none;
    background:#fff;
    box-shadow:0 2px 10px rgba(0,0,0,.15);
    cursor:pointer;
    font-size:24px;
    z-index:2;
}

.custom_lightBoxPrev{
    left:20px;
}

.custom_lightBoxNext{
    right:20px;
}

.custom_lightBoxThumbs{
    display:flex;
    gap:10px;
    overflow-x:auto;
    margin-top: 16px;
}

.custom_lightBoxThumbs img{
    width:90px;
    height:70px;
    object-fit:cover;
    border:2px solid transparent;
    cursor:pointer;
    opacity:.6;
    border-radius:4px;
    transition:.3s;
}

.custom_lightBoxThumbs img.active{
    border-color:#d60000;
    opacity:1;
}
.custom_lightBoxThumbs{
    display:flex;
    gap:10px;
    overflow-x:auto;
    overflow-y:hidden;
    white-space:nowrap;
    scroll-behavior:smooth;
    justify-content:flex-start;
}
.custom_lightBoxThumbs::-webkit-scrollbar{
    display: none;
}

.custom_lightBoxThumbs img{
    flex:0 0 auto;
    width:90px;
    height:70px;
}
.disclaimerClsWrap{
    padding: 28px;
    background: #F4F4F4;
    border-radius: 16px;
}
.disclaimerClsWrap span{
    font-size: 16px;
    color: #373737;
    font-weight:700;
}
.disclaimerClsWrap p{
    font-size: 14px;
    color: #6C737F;
    font-weight:400;
}
@media (max-width: 767px) {
    .custom_lightBoxWrapper {
        width:100%;
        padding:16px 12px 12px;
        max-height:95vh;
        border-radius: 8px 8px 0 0;
    }

    .custom_lightBoxContent {
        height:min(250px, 55vh);
        margin-bottom:10px;
    }

    .custom_lightBoxPrev,
    .custom_lightBoxNext {
        width:38px;
        height:38px;
        font-size:20px;
    }

    .custom_lightBoxThumbs {
        padding-bottom:2px;
    }
    .custom_lightBox{
        align-items: end;
    }
}